#!/bin/bash

cd "$(dirname "$0")"
echo "start backup mongodb {{ instance_name }}"
COMPOSE_INTERACTIVE_NO_CLI=1
if [ -z `/usr/bin/docker compose ps -q mongodb` ] || [ -z `/usr/bin/docker ps -q --no-trunc | grep $(/usr/bin/docker compose ps -q mongodb)` ]; then
	echo "Database is not running. Backup mongodb {{ instance_name }} aborted"
else
    /usr/bin/docker compose exec -T mongodb /usr/bin/mongodump --uri "mongodb://mongodb:27017/rocketchat?replicaSet=rs0" --archive > {{ mongodb_backup_file }}
    echo "backup mongodb {{ instance_name }} done"
fi

# restore
# ❯ /usr/bin/docker compose exec -T mongodb /usr/bin/mongorestore --uri "mongodb://mongodb:27017/rocketchat?replicaSet=rs0" --archive < ~/Downloads/mongodb.dump